# memory File Reference

`#include <memory>`
`#include <bits/stl_tempbuf.h>`

Include dependency graph for ext/memory:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). You should only include this header if you are using GCC 3 or later.

Definition in file ext/memory.